QwtPointArrayData(3)

NAME
QwtPointArrayData - Interface for iterating over two QVector<double> objects.

SYNOPSIS

#include <qwt_point_data.h>

Inherits QwtSeriesData< QPointF >.

  Public Member Functions

QwtPointArrayData (const QVector< double > &x, const QVector< double > &y)
QwtPointArrayData (const double *x, const double *y, size_t size)
virtual QRectF boundingRect () const
Calculate the bounding rectangle.
virtual size_t size () const
virtual QPointF sample (size_t index) const
const QVector< double > & xData () const
const QVector< double > & yData () const

  Additional Inherited Members

Detailed Description

Interface for iterating over two QVector<double> objects.

Constructor & Destructor Documentation

  QwtPointArrayData::QwtPointArrayData (const QVector< double > & x, const QVector< double > & y)
Constructor

Parameters:
    x Array of x values
    y Array of y values

See also:
    QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

  QwtPointArrayData::QwtPointArrayData (const double * x, const double * y, size_t size)
Constructor

Parameters:
    x Array of x values
    y Array of y values
    size Size of the x and y arrays

See also:
    QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Member Function Documentation

  QRectF QwtPointArrayData::boundingRect () const [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
    Bounding rectangle

Implements QwtSeriesData< QPointF >.

  QPointF QwtPointArrayData::sample (size_t index) const [virtual]
Return the sample at position i

Parameters:
    index Index

Returns:
    Sample at position i

Implements QwtSeriesData< QPointF >.

  size_t QwtPointArrayData::size () const [virtual]

Returns:
    Size of the data set

Implements QwtSeriesData< QPointF >.

  const QVector< double > & QwtPointArrayData::xData () const

Returns:
    Array of the x-values

  const QVector< double > & QwtPointArrayData::yData () const

Returns:
    Array of the y-values

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.